import BlockTransformation from '../../transformations/blockTransformation';
import ConditionalBlockTransformation from '../../transformations/conditionalBlockTransformation';
import { convertBlockAboveNonRepeat, isInAshPatch, spreadAsh, placeSoulFire } from '../utils';
const rules = [
    {
        from: [
            'minecraft:sand',
            'minecraft:red_sand',
        ],
        to: new ConditionalBlockTransformation(new BlockTransformation('minecraft:soul_sand', {
            afterConvert: (b, p) => {
                convertBlockAboveNonRepeat(b, p);
                placeSoulFire(b);
            },
        }), new BlockTransformation('twb_wisu:ash', {
            afterConvert: (b, p) => {
                convertBlockAboveNonRepeat(b, p);
                spreadAsh(b);
            }
        }), isInAshPatch)
    },
    {
        from: ['minecraft:dirt', 'minecraft:coarse_dirt'],
        to: new BlockTransformation('minecraft:soul_soil', { afterConvert: convertBlockAboveNonRepeat }),
    },
];
export default rules;
